Cyberduck Mountain Duck CLI

#7397 closed defect (worksforme)

Wrong local path reference for uploads when hide extensions option in Windows Explorer is checked

Reported by: higgins4 Owned by: yla
Priority: high Milestone: 4.4
Component: core Version: 4.3.1
Severity: major Keywords: crash
Cc: Architecture:
Platform: Windows 7

Description

Every time I try to do anything in Cyberduck, it crashes. I had been using it without any problems for about 9 months. I tried re-installing the program and restarting my computer, but I still have problems. I ran my virus scan software, but didn't find anything.

The program opens. If I try to do something, it crashes and asks if I want to report the last crash. I tried to get the full transcript, but when I go to View>Toggle Log Drawer nothing happens. I haven't tested everything, but I if I try to open a connection, open a new browser or create a bookmark it crashes.

Can someone please help. Thanks.

Attachments (4)

cyberduck.log (118 bytes) - added by higgins4 on Sep 20, 2013 at 5:09:16 PM.
Log file
cyberduck.2.log (118 bytes) - added by higgins4 on Sep 22, 2013 at 8:17:28 PM.
New log file after updating to build 13073
cyberduck.3.log (573.9 KB) - added by higgins4 on Sep 23, 2013 at 4:58:18 PM.
Log with debugging
cyberduck.4.log (455.1 KB) - added by higgins4 on Sep 23, 2013 at 7:50:11 PM.

Download all attachments as: .zip

Change History (42)

comment:1 Changed on Aug 12, 2013 at 8:40:34 PM by dkocher

  • Milestone set to 4.4
  • Owner set to yla

comment:2 Changed on Aug 14, 2013 at 6:36:38 PM by higgins4

I retried installing the program today. I was actually able to connect today, but when I went to download a file nothing happened. So, I closed the program and went to reopen it. When I reopened it and tried to to connect to a network, it crashed.

comment:3 Changed on Aug 16, 2013 at 3:11:25 PM by higgins4

I deleted all of the information in my Cyberduck folder in the AppData folder. I then reopened and everything works for now. I will update again if I have further problems. Thanks.

comment:4 Changed on Aug 16, 2013 at 8:30:46 PM by higgins4

Cyberduck now makes a connection and allows downloads. However, when I try to upload files it says that I upload them, but the files do not show up in my folder. I do not get any error messages, but uploads are not actually happening.

comment:5 Changed on Aug 16, 2013 at 9:24:38 PM by higgins4

On the upload it says it is uploading 0 B of 0 B, which obviously isn't true. Here's what I get from the Log Drawer (with the user name x'd out). It seems to be skipping a step based on what I see on an instance of cyberduck that I have open on a different computer.

SSH_FXP_REALPATH
SSH_FXP_NAME
/ibrix/home4/xxxxxxxxxxxxxxxx
SSH_FXP_OPENDIR
SSH_FXP_HANDLE
SSH_FXP_READDIR
SSH_FXP_NAME
drwxr-xr-x    2 xxxxxxxxxxxx uxxxxxxn      4096 Aug 16 14:19 .
drwxr-xr-x   20 xxxxxxxxxxxx uxxxxxxn    397312 Aug 16 14:19 ..
SSH_FXP_READDIR
SSH_FXP_STATUS
SSH_FXP_CLOSE
SSH_FXP_STATUS

comment:6 Changed on Aug 16, 2013 at 9:25:03 PM by higgins4

  • Summary changed from Cyberduck crashes to Cyberduck crashes and now won't upload

comment:7 Changed on Sep 18, 2013 at 4:53:54 PM by yla

  • Resolution set to worksforme
  • Status changed from new to closed

Please update to the latest snapshot build available and reopen this issue if still a problem. We have since refactored many things in this area.

comment:8 Changed on Sep 18, 2013 at 5:16:56 PM by higgins4

  • Resolution worksforme deleted
  • Status changed from closed to reopened

I updated to the latest snapshot build and still have the same problem. It still won't upload any files.

comment:9 Changed on Sep 19, 2013 at 1:26:00 PM by yla

What's the location of the file on your computer to be uploaded? Can you try to upload a file that isn't in a special folder like Desktop, Documents, ... or network share?

comment:10 Changed on Sep 19, 2013 at 1:32:59 PM by dkocher

Please post the transcript from the log drawer (Ctrl-L) of the Transfers window.

comment:11 Changed on Sep 19, 2013 at 4:12:12 PM by higgins4

I tried to upload from C:\Test a simple file that I called cyberduck_test.txt. Here is the log that it gave me from the "Transfers" window:

SSH_FXP_INIT
SSH_FXP_VERSION
posix-rename@openssh.com
statvfs@openssh.com
fstatvfs@openssh.com
SSH_FXP_REALPATH
SSH_FXP_STATUS
No such file

Last edited on Sep 19, 2013 at 4:20:52 PM by dkocher (previous) (diff)

comment:12 Changed on Sep 20, 2013 at 8:29:44 AM by yla

Thanks for testing. It looks like there is an exception thrown in the transfer thread. Can you please attach the log file which should contain the exception?

Changed on Sep 20, 2013 at 5:09:16 PM by higgins4

Log file

comment:13 Changed on Sep 22, 2013 at 7:55:09 PM by dkocher

  • Summary changed from Cyberduck crashes and now won't upload to Crashes on upload

comment:14 Changed on Sep 22, 2013 at 7:58:06 PM by dkocher

Can you please update to build 13073. An error dialog should be displayed instead of the silent failure.

Changed on Sep 22, 2013 at 8:17:28 PM by higgins4

New log file after updating to build 13073

comment:15 Changed on Sep 22, 2013 at 8:59:27 PM by dkocher

I assume no crash report is displayed neither. We will have to write a test for changeset r13071.

comment:16 Changed on Sep 22, 2013 at 9:08:15 PM by higgins4

Correct. There are no error messages. It just doesn't upload anything and says that 0B of 0B has been uploaded.

comment:17 Changed on Sep 23, 2013 at 4:44:42 PM by yla

We improved the logging. Please update to the latest nightly build and enable debug logging. After testing, attach the new cyberduck.log which should now contain much more information. Thanks!

Changed on Sep 23, 2013 at 4:58:18 PM by higgins4

Log with debugging

comment:18 follow-up: Changed on Sep 23, 2013 at 4:59:03 PM by higgins4

I have uploaded the new log file. I got an error message this time when I uploaded, but I figure that has to do with the debug setting I turned on.

comment:19 in reply to: ↑ 18 Changed on Sep 23, 2013 at 5:48:07 PM by dkocher

Replying to higgins4:

I have uploaded the new log file. I got an error message this time when I uploaded, but I figure that has to do with the debug setting I turned on.

What is the error message? Possibly due to change r13129.

comment:20 follow-up: Changed on Sep 23, 2013 at 5:52:40 PM by higgins4

File not found

/ibrix/home4/higgins4/cyberduck_test

That is the directory I am trying to upload to and the file I am trying to upload. It seems like it is trying to download the file instead of upload it.

Last edited on Sep 23, 2013 at 6:21:55 PM by dkocher (previous) (diff)

comment:21 in reply to: ↑ 20 Changed on Sep 23, 2013 at 6:23:27 PM by dkocher

Replying to higgins4:

File not found

/ibrix/home4/higgins4/cyberduck_test

That is the directory I am trying to upload to and the file I am trying to upload. It seems like it is trying to download the file instead of upload it.

Fixed path in exception message to local file reference in r13132.

comment:22 Changed on Sep 23, 2013 at 6:27:58 PM by dkocher

  • Summary changed from Crashes on upload to False result for file existence check in upload filter

comment:23 Changed on Sep 23, 2013 at 7:28:34 PM by yla

We are getting closer. Just uploaded a new snapshot version r13134 with even more logging output. Can you please try again?

Last edited on Sep 23, 2013 at 7:40:48 PM by dkocher (previous) (diff)

Changed on Sep 23, 2013 at 7:50:11 PM by higgins4

comment:24 follow-up: Changed on Sep 23, 2013 at 7:51:30 PM by higgins4

I have uploaded the new log file after updating and trying again. I get the same error message as before, but it now shows the right location for the file I'm trying to upload

"File not found

C:\Test\cyberduck_test"

comment:25 in reply to: ↑ 24 Changed on Sep 23, 2013 at 8:04:44 PM by yla

Replying to higgins4:

I have uploaded the new log file after updating and trying again. I get the same error message as before, but it now shows the right location for the file I'm trying to upload

"File not found

C:\Test\cyberduck_test"

Is cyberduck_test the correct filename? In a comment above the test file has the extension .txt -> cyberduck_test.txt. Just to be sure.

comment:26 Changed on Sep 23, 2013 at 8:11:36 PM by higgins4

That's interesting. I wondered about that as well. I just tried to upload it again in two different ways:

  1. I went to the upload window, clicked on the file and clicked choose. I got the error message again.
  2. I went to the upload window, clicked on the file, typed in the .txt extension and clicked choose. This worked and the file uploaded.

So, it looks like the extension is the key. I tried this for other files and had the same thing happen to me.

comment:27 Changed on Sep 23, 2013 at 9:02:19 PM by yla

I'm now able to replicate the issue. If the Windows Explorer option Hide extensions for known file types is check for the folder containing the file you want to upload, it fails due to the missing extension.

Last edited on Sep 23, 2013 at 9:14:14 PM by dkocher (previous) (diff)

comment:28 Changed on Sep 23, 2013 at 9:13:55 PM by dkocher

  • Summary changed from False result for file existence check in upload filter to Wrong local path reference for uploads when hide extensions option in Windows Explorer is checked

comment:29 Changed on Sep 24, 2013 at 8:56:17 PM by yla

  • Resolution set to fixed
  • Status changed from reopened to closed

In r13140.

comment:30 Changed on Sep 24, 2013 at 9:02:09 PM by yla

Can you please test the latest snapshot version r13140 which should fix the issue?

comment:31 Changed on Sep 24, 2013 at 11:47:57 PM by higgins4

I updated, but still had to manually type in the extension in order to get the upload to work. Otherwise I got the same error as before.

comment:32 Changed on Sep 25, 2013 at 6:04:08 AM by yla

  • Resolution fixed deleted
  • Status changed from closed to reopened

comment:33 Changed on Sep 25, 2013 at 12:12:27 PM by yla

When pressing the Upload button a temporary registry change is made to display the extension in the browser dialog (HKEY_CURRENT_USER\Software\Microsoft\Windows\CurrentVersion\Explorer\Advanced -> HideFileExt=0). We need that to make multi selection of files and folders work. Do you see the file with extension (cyberduck_test.txt) in the browser list (not the textbox)? If no, can you please check the registry key above if it's 0 or 1? Make sure that the dialog is open at this time since the change is reverted when leaving it. You might need to refresh the registry viewer.

comment:34 Changed on Sep 25, 2013 at 4:00:46 PM by higgins4

I do not see the extension in the browser list, I just see under the file type that it is a text document. Nowhere on there do I see '.txt'. I looked under the HKEY director and I did not see 'HideFileExt' listed anywhere.

comment:35 Changed on Sep 25, 2013 at 4:27:56 PM by yla

That's weird. This is a standard key from Explorer which should be available on all systems. Can you try to disable the option 'Hide extensions for known file types'. Restart Cyberduck and test. Revert the option, restart and another test please. What are the results? Is your computer part of a corporate network with group policies and so on?

comment:36 Changed on Sep 25, 2013 at 5:01:32 PM by higgins4

I unchecked the box and was able to upload to Cyberduck. I then checked the box, clicked apply and restarted Cyberduck. I was able to upload then as well. That's odd. Not sure why that's happening, but it seems to be working just fine now.

comment:37 Changed on Sep 25, 2013 at 5:11:08 PM by yla

  • Resolution set to worksforme
  • Status changed from reopened to closed

It looks like you had a corrupt registry (missing key). The uncheck/check operation reinstalled the key.

comment:38 Changed on Sep 25, 2013 at 5:22:22 PM by higgins4

Thanks for the help and explanation. I really appreciate it.

Note: See TracTickets for help on using tickets.
swiss made software